---
linux_arch: amd64

ansible_distribution_release_name: jammy

deb_gpg:
  - https://download.docker.com/linux/ubuntu/gpg
  - https://apt.releases.hashicorp.com/gpg

apt_repositories:
  - "deb [arch={{ linux_arch }}] https://download.docker.com/linux/{{ ansible_distribution | lower }} {{ ansible_distribution_release }} stable"
  - "deb [arch=amd64] https://apt.releases.hashicorp.com {{ ansible_distribution_release }} main"
  - "deb http://archive.ubuntu.com/ubuntu/ {{ ansible_distribution_release }} universe"

uninstall_packages:
  - lxc-common
  - lxcfs

install_packages:
  - cgroup-tools
  - cron
  - curl
  - "docker-ce=5:20.10.23~3-0~ubuntu-{{ ansible_distribution_release_name }}"
  - "docker-ce-cli=5:20.10.23~3-0~ubuntu-{{ ansible_distribution_release_name }}"
  - gettext-base
  - git
  - gnupg
  - gpg
  - haveged
  - iputils-ping
  - jq
  - libcgroup1
  - logrotate
  - lsof
  - parted
  - pass
  - python3-docker
  - python3-jinja2
  - python3-pip
  - unattended-upgrades
  - unzip
  - uuid-runtime
  - wget
  - wireguard
  - wireguard-dkms
  - wireguard-tools

hold_packages:
  - docker-ce
  - docker-ce-cli

orchestrator_packages:
  - haproxy
  - vault

dpkg_lock_files:
  - /var/lib/dpkg/lock-frontend
  - /var/lib/apt/lists/lock

apt_auto_delay_services:
  - apt-daily
  - apt-daily-upgrade
  - unattended-upgrades

apt_auto_delay_timers:
  apt_daily: 120min
  apt_daily_upgrade: 120min
  unattended_upgrades: 120min
